Loading...
Searching...
No Matches
Gudhi::persistence_matrix::Cohomology_persistence_options< column_type, is_z2_only, FieldOperators > Struct Template Reference

Options used by the cohomology module. More...

`#include <include/gudhi/persistence_matrix_options.h>`

## Detailed Description

template<Column_types column_type = Column_types::INTRUSIVE_LIST, bool is_z2_only = true, class FieldOperators = persistence_fields::Zp_field_operators<>>
struct Gudhi::persistence_matrix::Cohomology_persistence_options< column_type, is_z2_only, FieldOperators >

Options used by the cohomology module.

Template Parameters

  column_type | Column type for the matrix.
  is_z2_only | True if Z2.
  FieldOperators | Field operator.

The documentation for this struct was generated from the following file:

- include/gudhi/persistence_matrix_options.h